"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.CompleteIconSet = void 0;
var _react = _interopRequireDefault(require("react"));
var icons = _interopRequireWildcard(require("./react/index.js"));
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const description = `
A suite of icons is provided by the UI library; a list is shown below with the
icon's component name and a demo of the icon. The number in the name refers to
the size of the icon in px.

Each icon accepts a \`color\` prop that will be applied to the underlying SVG
element.

**Example usage:**

\`\`\`jsx
import { IconAdd16, colors } from '@dhis2/ui'

const IconDemo = () => {
    return <IconAdd16 color={colors.blue700} />
}
\`\`\`
`;
var _default = exports.default = {
  title: 'Icons',
  component: icons.IconAdd16,
  parameters: {
    docs: {
      description: {
        component: description
      }
    }
  }
};
const CompleteIconSet = () => /*#__PURE__*/_react.default.createElement("table", null, /*#__PURE__*/_react.default.createElement("thead", null, /*#__PURE__*/_react.default.createElement("tr", null, /*#__PURE__*/_react.default.createElement("td", null, /*#__PURE__*/_react.default.createElement("h4", null, "Name")), /*#__PURE__*/_react.default.createElement("td", null, /*#__PURE__*/_react.default.createElement("h4", null, "Icon")))), /*#__PURE__*/_react.default.createElement("tbody", null, Object.keys(icons).map(key => {
  // eslint-disable-next-line import/namespace
  const Icon = icons[key];
  return /*#__PURE__*/_react.default.createElement("tr", {
    key: key
  }, /*#__PURE__*/_react.default.createElement("td", null, key), /*#__PURE__*/_react.default.createElement("td", null, /*#__PURE__*/_react.default.createElement(Icon, null)));
})));
exports.CompleteIconSet = CompleteIconSet;