import React from 'react';
import * as icons from './react/index.js';
const description = `
A suite of icons is provided by the UI library; a list is shown below with the
icon's component name and a demo of the icon. The number in the name refers to
the size of the icon in px.

Each icon accepts a \`color\` prop that will be applied to the underlying SVG
element.

**Example usage:**

\`\`\`jsx
import { IconAdd16, colors } from '@dhis2/ui'

const IconDemo = () => {
    return <IconAdd16 color={colors.blue700} />
}
\`\`\`
`;
export default {
  title: 'Icons',
  component: icons.IconAdd16,
  parameters: {
    docs: {
      description: {
        component: description
      }
    }
  }
};
export const CompleteIconSet = () => /*#__PURE__*/React.createElement("table", null, /*#__PURE__*/React.createElement("thead", null, /*#__PURE__*/React.createElement("tr", null, /*#__PURE__*/React.createElement("td", null, /*#__PURE__*/React.createElement("h4", null, "Name")), /*#__PURE__*/React.createElement("td", null, /*#__PURE__*/React.createElement("h4", null, "Icon")))), /*#__PURE__*/React.createElement("tbody", null, Object.keys(icons).map(key => {
  // eslint-disable-next-line import/namespace
  const Icon = icons[key];
  return /*#__PURE__*/React.createElement("tr", {
    key: key
  }, /*#__PURE__*/React.createElement("td", null, key), /*#__PURE__*/React.createElement("td", null, /*#__PURE__*/React.createElement(Icon, null)));
})));